Get a benchmark
curl --request GET \
--url https://{command_center_host}/api/v1/benchmarks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/benchmarks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/benchmarks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/benchmarks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/benchmarks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{command_center_host}/api/v1/benchmarks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/benchmarks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bch_0f4a6d1b-...",
"status": "queued",
"scenarios": [
"<string>"
],
"total": 123,
"completed": 123,
"passed": 123,
"mode": "<string>",
"source": "<string>",
"branch": "<string>",
"main_engine": "<string>",
"secondary_engine": "<string>",
"gateway_engine": "<string>",
"gateway": "runner",
"triggered_by": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"runs": [
{
"id": "scr_ca850e32-...",
"benchmark_id": "bch_0f4a6d1b-...",
"scenario_id": "<string>",
"resource_version_id": "<string>",
"key": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"ticket_title": "<string>",
"ticket_body": "<string>",
"status": "queued",
"execution_status": "queued",
"evaluation_status": "not_evaluated",
"passing": true,
"compliance_score": 123,
"remediation": true,
"execution_time_ms": 123,
"job_id": "<string>",
"restore_status": "not_required",
"restore_failed": true,
"total_tokens": 123,
"live_step": "<string>",
"workflow_status": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"validation": null,
"agents": null,
"errors": null
}
],
"model_config": "<unknown>",
"errors": null
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Benchmarks
Get a benchmark
The benchmark with every run. A benchmark has ended once each run has ended and its restore_status is no longer pending or running.
GET
/
api
/
v1
/
benchmarks
/
{id}
Get a benchmark
curl --request GET \
--url https://{command_center_host}/api/v1/benchmarks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/benchmarks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/benchmarks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/benchmarks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/benchmarks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{command_center_host}/api/v1/benchmarks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/benchmarks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bch_0f4a6d1b-...",
"status": "queued",
"scenarios": [
"<string>"
],
"total": 123,
"completed": 123,
"passed": 123,
"mode": "<string>",
"source": "<string>",
"branch": "<string>",
"main_engine": "<string>",
"secondary_engine": "<string>",
"gateway_engine": "<string>",
"gateway": "runner",
"triggered_by": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"runs": [
{
"id": "scr_ca850e32-...",
"benchmark_id": "bch_0f4a6d1b-...",
"scenario_id": "<string>",
"resource_version_id": "<string>",
"key": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"ticket_title": "<string>",
"ticket_body": "<string>",
"status": "queued",
"execution_status": "queued",
"evaluation_status": "not_evaluated",
"passing": true,
"compliance_score": 123,
"remediation": true,
"execution_time_ms": 123,
"job_id": "<string>",
"restore_status": "not_required",
"restore_failed": true,
"total_tokens": 123,
"live_step": "<string>",
"workflow_status": "<string>",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"started_at": "2026-08-26T10:00:26.380Z",
"completed_at": "2026-08-26T10:00:26.380Z",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"validation": null,
"agents": null,
"errors": null
}
],
"model_config": "<unknown>",
"errors": null
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Path Parameters
Response
The benchmark and its runs
Example:
"bch_0f4a6d1b-..."
Available options:
queued, running, completed, failed, cancelled The titles of the scenarios it ran, as they were at launch
Runs graded passed so far
Example:
"runner"
Example:
"org_460b541c-..."
Example:
"ten_115bea44-..."
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
Show child attributes
Show child attributes
The models resolved for each agent at launch

